ID Network - Alliance Get API
Important Notice:
- All request and response parameters are strictly subject to the official API documentation.
- The API response may contain fields not defined in the documentation. These fields are for internal debugging purposes only and are not guaranteed to be stable or compatible. Do not rely on these fields in production environments. ZOLOZ reserves the right to modify or remove these fields at any time without prior notice.
Overview
- API URL:
/api/v1/zoloz/idnetwork/alliance/get - API Description: Provides the capability to query affiliate records.
Structure
Request parameters
Parameter | Data type | Max length | Description | Example |
itemIds | List<String> | 64 | List of record IDs to be queried, which is also the data record returned by IDN at the time of being passed in. Note: Supports batch query. Up to 100 records can be queried each time. | ["AIN20220725875271649639","AIN20220725875123649642"] |
Response parameters
Parameter | Data type | Description | Example |
result | Result | List of record IDs to be queried, which is also the data record returned by IDN at the time of being passed in. Note: Supports batch query. Up to 100 records can be queried each time. | { "resultStatus":"S", "resultCode":"SUCCESS", "resultMessage":"Success" } |
transactionId | String | A unique business ID generated by the IDN. Note: The system will only return the
| "8365364ceddd411da027cdb15fea92ed" |
allianceItems | AllianceItems | Merchant information. Currently only userId and clientId fields are returned. For more information, see AllianceItems. | [ { "itemId":"AIN20220725875271649639", "userId":"e9830710-0d70", "clientId" : "2188426362797742", "merchantName":"xxxbank" },{ "itemId":"AIN20220725875123649642", "userId":"e9830620-0d11", "clientId" : "2188426362797742", "merchantName":"xxxbank" } ] |
AllianceItems
Field | Data type | Description | Example |
itemId | String | Data record Id returned by IDN at the time of being passed in. | "AIN20220725875271649639" |
userId | String | Merchant-defined user ID. | "e9830710-0d70" |
clientId | String | Client ID. | "2188426362797742" |
merchantName | String | Merchant ID. | "xxxbank" |
Sample
Request sample
POST https://ip:port/api/v1/zoloz/idnetwork/alliance/get
# POST Body:
{
"itemIds":["AIN20220725875271649639","AIN20220725875123649642"]
}Response sample
# Response Body
{
"result":{
"resultStatus":"S",
"resultCode":"SUCCESS",
"resultMessage":"Success"
},
"transactionId":"8365364ceddd411da027cdb15fea92ed",
"allianceItems":[
{
"itemId":"AIN20220725875271649639",
"userId":"e9830710-0d70",
"clientId" : "2188426362797742",
"merchantName":"xxxbank"
},{
"itemId":"AIN20220725875123649642",
"userId":"e9830620-0d11",
"clientId" : "2188426362797742",
"merchantName":"xxxbank"
}
]
}